Subject: bug#62037: (proper-list-p '#1=(a #1#)) => 2. It should return nil.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 31 Mar 2023 10:50:15 +0300

> Cc: Alan Mackenzie <[email-masked]>, [email-masked]
> Date: Fri, 31 Mar 2023 15:29:13 +0800
> From:  Ruijie Yu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Again, I find it problematic that there are two related definitions of
> "circular", and the first search result for "circular" under Elisp info
> manual is (info "(elisp) Circular Objects"), which is not what is
> intended for `proper-list-p'.

How did you search?  If you type "i circular RET", the first hit lands
you in "Cons Cells", where both "circular list" and proper-list-p are
described.  So I don't think I understand what you mean by "the first
search result".